"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cacheDirective_1 = require("./cacheDirective");
const httpContentInfo_1 = require("./httpContentInfo");
const option_1 = require("@reactive-js/option");
const httpPreferences_1 = require("./httpPreferences");
const httpHeaders_1 = require("./httpHeaders");
exports.writeHttpMessageHeaders = ({ cacheControl, contentInfo, headers, preferences, }, writeHeader) => {
    cacheDirective_1.writeHttpCacheControlHeader(cacheControl, writeHeader);
    if (option_1.isSome(contentInfo)) {
        httpContentInfo_1.writeHttpContentInfoHeaders(contentInfo, writeHeader);
    }
    if (option_1.isSome(preferences)) {
        httpPreferences_1.writeHttpPreferenceHeaders(preferences, writeHeader);
    }
    httpHeaders_1.writeHttpHeaders(headers, writeHeader);
};
//# sourceMappingURL=HttpMessage.js.map