import { writeHttpCacheControlHeader } from "./cacheDirective";
import { writeHttpContentInfoHeaders } from "./httpContentInfo";
import { isSome } from "@reactive-js/option";
import { writeHttpPreferenceHeaders } from "./httpPreferences";
import { writeHttpHeaders } from "./httpHeaders";
export const writeHttpMessageHeaders = ({ cacheControl, contentInfo, headers, preferences, }, writeHeader) => {
    writeHttpCacheControlHeader(cacheControl, writeHeader);
    if (isSome(contentInfo)) {
        writeHttpContentInfoHeaders(contentInfo, writeHeader);
    }
    if (isSome(preferences)) {
        writeHttpPreferenceHeaders(preferences, writeHeader);
    }
    writeHttpHeaders(headers, writeHeader);
};
//# sourceMappingURL=HttpMessage.js.map