import { Operator } from "@reactive-js/pipe";
import { HttpStatusCode, HttpHeaders, URILike, HttpResponse, HttpRequest, EntityTag, CacheDirective, HttpContentEncoding, MediaRange, MediaType } from "./interfaces";
export declare const createHttpResponse: <T>({ body, cacheControl, contentInfo, etag, expires, headers, lastModified, location, preferences, statusCode, vary, ...rest }: {
    body: T;
    cacheControl?: readonly (string | CacheDirective)[] | undefined;
    contentInfo?: {
        contentEncodings?: HttpContentEncoding[] | undefined;
        contentLength?: number | undefined;
        contentType: string | MediaType;
    } | undefined;
    etag?: string | EntityTag | undefined;
    expires?: number | undefined;
    headers?: HttpHeaders | undefined;
    lastModified?: string | number | Date | undefined;
    location?: string | URILike | undefined;
    preferences?: {
        acceptedCharsets?: readonly string[] | undefined;
        acceptedEncodings?: readonly HttpContentEncoding[] | undefined;
        acceptedLanguages?: readonly string[] | undefined;
        acceptedMediaRanges?: readonly (string | MediaRange)[] | undefined;
    } | undefined;
    statusCode: HttpStatusCode;
    vary?: readonly string[] | undefined;
}) => HttpResponse<T>;
export declare const parseHttpResponseFromHeaders: <T>(statusCode: number, headers: HttpHeaders, body: T) => HttpResponse<T>;
export declare const writeHttpResponseHeaders: <T>(response: HttpResponse<T>, writeHeader: (header: string, value: string) => void) => void;
export declare const checkIfNotModified: <T>({ cacheControl, method, preconditions, }: HttpRequest<unknown>) => Operator<HttpResponse<T>, HttpResponse<T>>;
export declare const httpResponseIsCompressible: <T>(response: HttpResponse<T>, db: {
    [key: string]: {
        compressible?: boolean | undefined;
    };
}) => boolean;
//# sourceMappingURL=httpResponse.d.ts.map